- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders/getSecurityHealthAnalyticsSettings#try-it)

Gets the SecurityHealthAnalyticsSettings resource.

In the returned settings response, a missing field only indicates that it was not explicitly set, so no assumption should be made about these fields. In other words, folders.getSecurityHealthAnalyticsSettings does not calculate the effective service settings for the resource, which accounts for inherited settings and defaults. Instead, use securityHealthAnalyticsSettings.calculate for this purpose.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `name` field:

- `securitycenter.securityhealthanalyticssettings.get`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1beta2/{name=folders/*/securityHealthAnalyticsSettings}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the SecurityHealthAnalyticsSettings to retrieve. Formats: - organizations/{organization}/securityHealthAnalyticsSettings - folders/{folder}/securityHealthAnalyticsSettings - projects/{project}/securityHealthAnalyticsSettings |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/SecurityHealthAnalyticsSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).